Bug 879733 - [abrt] preupgrade-1.1.10-1.fc15: dev.py:91:bootpath_to_anacondapath:PUError: /boot is on RAID device md2
[abrt] preupgrade-1.1.10-1.fc15: dev.py:91:bootpath_to_anacondapath:PUError: ...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: preupgrade (Show other bugs)
15
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
abrt_hash:ea75c7664744405584f3b6bcd3b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-23 19:28 EST by Fred Houweling
Modified: 2016-02-10 09:42 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-26 04:32:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: executable (39 bytes, text/plain)
2012-11-23 19:28 EST, Fred Houweling
no flags Details
File: smolt_data (6.67 KB, text/plain)
2012-11-23 19:29 EST, Fred Houweling
no flags Details

  None (edit)
Description Fred Houweling 2012-11-23 19:28:40 EST
Description of problem:
preupdate failed due to RAID being my boot device...

Version-Release number of selected component:
preupgrade-1.1.10-1.fc15

Additional info:
libreport version: 2.0.18
cmdline:        /usr/bin/python /usr/share/preupgrade/preupgrade-gtk.py
kernel:         2.6.43.8-1.fc15.x86_64

backtrace:
:dev.py:91:bootpath_to_anacondapath:PUError: /boot is on RAID device md2
:
:Traceback (most recent call last):
:  File "/usr/share/preupgrade/preupgrade-gtk.py", line 259, in on_assistant_apply
:    self._do_main()
:  File "/usr/share/preupgrade/preupgrade-gtk.py", line 278, in _do_main
:    self.main_preupgrade()
:  File "/usr/share/preupgrade/preupgrade-gtk.py", line 497, in main_preupgrade
:    extra_args += " ks=%s" % self.pu.generate_kickstart()
:  File "/usr/lib/python2.7/site-packages/preupgrade/__init__.py", line 607, in generate_kickstart
:    return dev.bootpath_to_anacondapath(targetfile, UUID=True)
:  File "/usr/lib/python2.7/site-packages/preupgrade/dev.py", line 91, in bootpath_to_anacondapath
:    raise PUError, "/boot is on RAID device %s" % bootdev
:PUError: /boot is on RAID device md2
:
:Local variables in innermost frame:
:bootdev: 'md2'
:UUID: True
:rest: 'ext4 rw,seclabel,relatime,user_xattr,barrier=1,data=ordered 0 0\n'
:mtab: <open file '/etc/mtab', mode 'r' at 0x35988a0>
:st_dev: 2306L
:dev: '/dev/md2'
:mountpoint: '/boot'
:line: '/dev/md2 /boot ext4 rw,seclabel,relatime,user_xattr,barrier=1,data=ordered 0 0\n'
:somepath: '/boot/upgrade/ks.cfg'
:mp: '/boot'
Comment 1 Fred Houweling 2012-11-23 19:28:48 EST
Created attachment 650720 [details]
File: executable
Comment 2 Fred Houweling 2012-11-23 19:29:05 EST
Created attachment 650721 [details]
File: smolt_data
Comment 3 Jan Kurik 2015-12-22 06:32:17 EST
This bug is currently assigned to an unsupported release. If you think this bug is still valid and should remain open, please re-assign it to a supported release (F22, F23) or to rawhide.

Bugs which will be assigned to an unsupported release are going to be closed as EOL (End Of Life) on January 26th, 2016.

Note You need to log in before you can comment on or make changes to this bug.